Copperhead - Retaliation

Dungeon Siege mod |

Follow 41

Copperhead : Retaliation total conversion installation files. Please check the README.TXT for instructions on how to install this modification. NOTE: This modification does NOT work under Dungeon Siege: Legends of Aranna. You need normal Dungeon Siege, version 1.10 or higher to run Copperhead : Retaliation.

Copperhead : Retaliation for Dungeon Siege

Related to Full Version

Only registered members can share their thoughts. So come on! Join the community today and join in the conversation.

You are not logged in, join the community or sign in with your social account: